# RPM specfile for gtk2-engines module
# Generated Wed Nov 19 17:29:15 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.16.2.3 2003/11/18 20:53:56 mibarra Exp $

%define nam	gtk2-engines
%define ver	2.2.0
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	6

Name:     	gtk2-engines
Version: 	2.2.0
Release:	2.ximian.6.6
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gtk.themes.org/
Source0:	gtk-engines-2.2.0.tar.bz2
Source1:	gtk-thinice-engine-2.0.2.tar.gz
Summary:	Assorted GTK+ theme engines
Group:		User Interfaces/Desktops
Provides:	gtk-engines2 = %{version}-%{release}
Provides:	ximian-gtk2-engines = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtk-engines2 < %{version}-%{release}
Conflicts:	gtk-engines2 < %{version}-%{release}

%description
A collection of assorted GTK+ theme engines

%files
%defattr(-, root, root)
/usr/lib/gtk-2.0/*/engines/*
/usr/share/themes/*
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n gtk-engines-2.2.0
    ;;
all)
%setup -c -q -n gtk-engines-2.2.0
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n gtk-engines-2.2.0 -q -D -T -a 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    (cd gtk-engines-2.2.0 && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var) && (cd gtk-thinice-engine-2.0.2 && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var)
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    (cd gtk-engines-2.2.0 && ${MAKE})  && (cd gtk-thinice-engine-2.0.2 && ${MAKE})
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    (cd gtk-engines-2.2.0 && ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var) && (cd gtk-thinice-engine-2.0.2 && ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var); rm -rf ${DESTDIR}/usr/lib/gtk-2.0/*/engines/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.2.0-2.ximian.6.6
- Summary: New build.
- New automated build.

